from PIL import Image
import numpy as np

# načtení obrázku pomocí knihovny Pillow
img = Image.open('kvetina.jpg')

# převedení obrázku na Numpy-pole
data = np.asarray(img)

# výpočet zmenšeniny
Image.fromarray(
    (data * 1.3).clip(max=255).astype(data.dtype),
    'RGB'
).save('11a.jpg')
Image.fromarray(
    (data * 2.3).clip(max=255).astype(data.dtype),
    'RGB'
).save('11b.jpg')
Image.fromarray(
    (data * 5).clip(max=255).astype(data.dtype),
    'RGB'
).save('11c.jpg')
