from PIL import Image
import numpy as np
from time import time

# načtení obrázku pomocí knihovny Pillow
img = Image.open('kvetina.jpg')

# převedení obrázku na Numpy-pole
data = np.asarray(img)
# tvar (rozměry) vyrobeného Numpy-pole
print(data.shape)   # (375, 500, 3)

# výpočet zmenšeniny
t = time()
new_data = data[::2, ::2, :]
print(time() - t)       # 0.0
print(new_data.shape)   # (188, 250, 3)
#Image.fromarray(new_data, 'RGB').show()
Image.fromarray(new_data, 'RGB').save('02.jpg')
